Name: fbpanel
Version: 4.12
Release: alt2
Summary: A lightweight X11 desktop panel

Group: Graphical desktop/Other

# %%{_bindir}/fbpanel and almost all plugins are under LGPLv2+
# Some plugins (cpu.so, pager.so, tray.so) are under GPLv2+
License: LGPLv2+ and GPLv2+
Url: http://fbpanel.sourceforge.net
Packager: Denis Smirnov <mithraen@altlinux.ru>

Source: http://downloads.sourceforge.net/%name/%name-%version.tgz
Source1: %name.desktop
Patch: fbpanel-4.12-libdir.patch
Patch1: fbpanel-4.12-icon.patch

BuildRequires: gtk2-devel libXpm-devel libXmu-devel desktop-file-utils

%description
fbpanel is a lightweight X11 desktop panel. It works with any ICCCM / NETWM
compliant window manager such as sawfish, metacity, openbox , xfwm4, or KDE.
It features tasklist, pager, launchbar, clock, menu and systray.

%prep
%setup -q
%patch -p1 -b .libdir
%patch1 -p0

sed -i.stamp -e 's|install -m|install -p -m|' \
			Makefile */Makefile
sed -i.strip -e 's|strip|true strip|' \
			Makefile */Makefile

%build
./configure --prefix=%prefix --libdir=%_lib
make \
	%{?_smp_mflags} \
	Q= \
	CFLAGS="${RPM_OPT_FLAGS}"

%install
%make_install install PREFIX=%buildroot%prefix

# desktop file stuff
desktop-file-install \
	--dir=%buildroot%_desktopdir	\
	%SOURCE1
# icon
mkdir -p %buildroot%_iconsdir/hicolor/128x128/apps

install -p -m 0644 config/images/star.png	\
	%buildroot%_iconsdir/hicolor/128x128/apps/%name.png

%files
%doc CHANGELOG COPYING CREDITS README
%_bindir/%name
%dir %_libdir/%name
%dir %_libdir/%name/plugins
%attr(0755,root,root) %_libdir/%name/plugins/*.so
%_datadir/%name
%_man1dir/%name.1.*
%_desktopdir/*.desktop
%_iconsdir/hicolor/*/apps/%name.png

%changelog
* Mon Apr 27 2009 Denis Smirnov <mithraen@altlinux.ru> 4.12-alt2
- multiple cleanups

* Mon Apr 20 2009 Denis Smirnov <mithraen@altlinux.ru> 4.12-alt1
- initial build for Sisyphus

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.12-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Jul 04 2008 Stefan Posdzich <cheekyboinc@foresightlinux.org> - 4.12-6
- Add icon.patch to bring the Fedora icon to the panel
- Modified the existing apps in the Panel (like emacs -> gedit)

* Wed Jun 18 2008 Stefan Posdzich <cheekyboinc@foresightlinux.org> - 4.12-5
- Add comment about the license
- Remove redundant Source2:

* Tue Jun 17 2008 Stefan Posdzich <cheekyboinc@foresightlinux.org> - 4.12-4
- Add correct url for Source:
- Add gtk-update-icon-cache
- Add timestamps
- Add missing debuginfo rpm
- Changed licence, MIT to LGPLv2+ and GPLv2+
- Remove unneeded ldconfig
- Remove redundant BuildRequires: atk-devel, pango-devel and libcairo-devel

* Sun Jun 15 2008 Stefan Posdzich <cheekyboinc@foresightlinux.org> - 4.12-3
- Solved build failure and broken libs-patch with patch from Robert Scheck

* Sat Jun 07 2008 Stefan Posdzich <cheekyboinc@foresightlinux.org> - 4.12-2
- fixed rpmlint errors
- new .desktop file
- cleanup

* Sun May 25 2008 Stefan Posdzich <cheekyboinc@foresightlinux.org> - 4.12-1
- first version of the SPEC file
